Agora Java API Reference for Android

Public Member Functions | Protected Member Functions | List of all members
io.agora.rte.Config Class Reference

## Public Member Functions
long | getNativeHandle ()
void | setAppId (String appId) throws RteException
String | getAppId () throws RteException
void | setLogFolder (String logFolder) throws RteException
String | getLogFolder () throws RteException
void | setLogFileSize (int logFileSize) throws RteException
int | getLogFileSize () throws RteException
void | setAreaCode (int areaCode) throws RteException
int | getAreaCode () throws RteException
void | setCloudProxy (String cloudProxy) throws RteException
String | getCloudProxy () throws RteException
void | setJsonParameter (String jsonParameter) throws RteException
String | getJsonParameter () throws RteException

## Protected Member Functions
void | finalize ()

## Detailed Description

RTE configuration class. Used to configure the RTE object.

Since
  v4.4.0

## Member Function Documentation

## ◆ setAppId()

void io.agora.rte.Config.setAppId | ( | String | appId | ) | throws RteException

Set the App ID, used during engine initialization. This field needs to be set before calling Rte.initMediaEngine to initialize the engine. If not set, the default value is an empty string.

Since
  v4.4.0

Parameters

  appId | Your project's App ID.

Exceptions

  RteException | RteException.errorCode() may return the following ErrorCode: ErrorCode.INVALID_ARGUMENT: Indicates that the app_id parameter is empty.

Returns
  void

## ◆ getAppId()

String io.agora.rte.Config.getAppId | ( |  | ) | throws RteException

Get the set App ID.

Since
  v4.4.0

Returns
  String Returns the set App ID value.

## ◆ setLogFolder()

void io.agora.rte.Config.setLogFolder | ( | String | logFolder | ) | throws RteException

Set the log folder.

Since
  v4.4.0

Parameters

  logFolder | The log folder.

Exceptions

  RteException | @technical preview

## ◆ getLogFolder()

String io.agora.rte.Config.getLogFolder | ( |  | ) | throws RteException

Get the log folder.

Since
  v4.4.0

Returns
  The log folder.

Exceptions

  RteException | @technical preview

## ◆ setLogFileSize()

void io.agora.rte.Config.setLogFileSize | ( | int | logFileSize | ) | throws RteException

Set the log file size.

Since
  v4.4.0

Parameters

  logFileSize | The log file size.

Exceptions

  RteException | @technical preview

## ◆ getLogFileSize()

int io.agora.rte.Config.getLogFileSize | ( |  | ) | throws RteException

Get the log file size.

Since
  v4.4.0

Returns
  The log file size.

Exceptions

  RteException | @technical preview

## ◆ setAreaCode()

void io.agora.rte.Config.setAreaCode | ( | int | areaCode | ) | throws RteException

Set the area code.

Since
  v4.4.0

Parameters

  areaCode | The area code.

Exceptions

  RteException | @technical preview

## ◆ getAreaCode()

int io.agora.rte.Config.getAreaCode | ( |  | ) | throws RteException

Get the area code.

Since
  v4.4.0

Returns
  The area code.

Exceptions

  RteException | @technical preview

## ◆ setCloudProxy()

void io.agora.rte.Config.setCloudProxy | ( | String | cloudProxy | ) | throws RteException

Set the cloud proxy.

Since
  v4.4.0

Parameters

  cloudProxy | The cloud proxy.

Exceptions

  RteException | @technical preview

## ◆ getCloudProxy()

String io.agora.rte.Config.getCloudProxy | ( |  | ) | throws RteException

Get the cloud proxy.

Since
  v4.4.0

Returns
  The cloud proxy.

Exceptions

  RteException | @technical preview

## ◆ setJsonParameter()

void io.agora.rte.Config.setJsonParameter | ( | String | jsonParameter | ) | throws RteException

Set JSON formatted parameters, usually used to set certain private parameters supported by RTE.

Since
  v4.4.0

Parameters

  jsonParameter | JSON formatted parameter set.

Exceptions

  RteException | RteException.errorCode() may return the following ErrorCode: ErrorCode.INVALID_ARGUMENT: Indicates that the jsonParameter parameter is empty.

Returns
  void

## ◆ getJsonParameter()

String io.agora.rte.Config.getJsonParameter | ( |  | ) | throws RteException

Get the currently set JSON private parameters.

Since
  v4.4.0

Returns
  String The set JSON formatted parameter set.